# start via:
# vtund -f /etc/vtund-client.conf myconn1 $serverip

myconn1 {			# server: 10.63.15.30/30 + HNA: 192.168.111.0/24
	passwd MYPASS ;		# client: 10.63.15.29/30
	type ether ;
	persist yes ;

	up {
		program "logger -p daemon.info -t vtund link_up %%:myconn1" wait ;
		program "ip link set dev %% mtu 1500 up" wait ;
		program "ip address add 10.63.15.29/30 dev %% label %%:myconn1" wait ;
		program "ip route add 192.168.111.0/24 via 10.63.15.30 dev %%" wait ;
	} ;

	down {
		program "ip route del 192.168.111.0/24 via 10.63.15.30 dev %%" wait ;
		program "ip link set dev %% down" ;
		program "logger -p daemon.info -t vtund link_down %%:myconn1" wait ;
	} ;
}
